Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgParticle::ModularEmitter Class Reference

An emitter class that holds three objects to control the creation of particles. More...

Inheritance diagram for osgParticle::ModularEmitter:

[legend]
List of all members.

## Public Member Functions
| ModularEmitter ()
| ModularEmitter (const ModularEmitter &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Node (osgParticle, ModularEmitter)
Counter * | getCounter ()
| Get the counter object.
const Counter * | getCounter () const
| Get the const Counter object.
void | setCounter (Counter *c)
| Set the Counter object.
float | getNumParticlesToCreateMovementCompenstationRatio () const
| Get the ratio between number of particle to create in compenstation for movement of the emitter.
void | setNumParticlesToCreateMovementCompenstationRatio (float r)
| Set the ratio between number of particle to create in compenstation for movement of the emitter.
Placer * | getPlacer ()
| Get the Placer object.
const Placer * | getPlacer () const
| Get the const Placer object.
void | setPlacer (Placer *p)
| Set the Placer object.
Shooter * | getShooter ()
| Get the Shooter object.
const Shooter * | getShooter () const
| Get the const Shooter object.
void | setShooter (Shooter *s)
| Set the Shooter object.
## Protected Member Functions
virtual | ~ModularEmitter ()
ModularEmitter & | operator= (const ModularEmitter &)
virtual void | emit (double dt)

## Detailed Description

An emitter class that holds three objects to control the creation of particles.

These objects are a counter, a placer and a shooter. The counter controls the number of particles to be emitted at each frame; the placer must initialize the particle's position vector, while the shooter initializes its velocity vector. You can use the predefined counter/placer/shooter classes, or you can create your own.

## Constructor & Destructor Documentation

osgParticle::ModularEmitter::ModularEmitter | ( |  | ) |

osgParticle::ModularEmitter::ModularEmitter | ( | const ModularEmitter & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

virtual osgParticle::ModularEmitter::~ModularEmitter | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void osgParticle::ModularEmitter::emit | ( | double | dt | ) | `[protected, virtual]`

| Implements osgParticle::Emitter.

const Counter * osgParticle::ModularEmitter::getCounter | ( |  | ) | const`[inline]`

| Get the const Counter object.

Counter * osgParticle::ModularEmitter::getCounter | ( |  | ) | `[inline]`

| Get the counter object.

float osgParticle::ModularEmitter::getNumParticlesToCreateMovementCompenstationRatio | ( |  | ) | const`[inline]`

| Get the ratio between number of particle to create in compenstation for movement of the emitter.

const Placer * osgParticle::ModularEmitter::getPlacer | ( |  | ) | const`[inline]`

| Get the const Placer object.

Placer * osgParticle::ModularEmitter::getPlacer | ( |  | ) | `[inline]`

| Get the Placer object.

const Shooter * osgParticle::ModularEmitter::getShooter | ( |  | ) | const`[inline]`

| Get the const Shooter object.

Shooter * osgParticle::ModularEmitter::getShooter | ( |  | ) | `[inline]`

| Get the Shooter object.

osgParticle::ModularEmitter::META_Node | ( | osgParticle | ,
|  | ModularEmitter |
| ) |

ModularEmitter& osgParticle::ModularEmitter::operator= | ( | const ModularEmitter & |  | ) | `[inline, protected]`

void osgParticle::ModularEmitter::setCounter | ( | Counter * | c | ) | `[inline]`

| Set the Counter object.

void osgParticle::ModularEmitter::setNumParticlesToCreateMovementCompenstationRatio | ( | float | r | ) | `[inline]`

| Set the ratio between number of particle to create in compenstation for movement of the emitter.

void osgParticle::ModularEmitter::setPlacer | ( | Placer * | p | ) | `[inline]`

| Set the Placer object.

void osgParticle::ModularEmitter::setShooter | ( | Shooter * | s | ) | `[inline]`

| Set the Shooter object.

The documentation for this class was generated from the following file:

- ModularEmitter